/**
 * Created by Zhong on 2018/3/22.
 */
/*标准工料机*/
const mongoose = require("mongoose");
const Schema = mongoose.Schema;
//标准工料机的组成物只来自标准工料机
const std_gljComponent = new Schema(
  {
    ID: Number,
    consumeAmt: Number,
    consumeAmtProperty: {
      type: Schema.Types.Mixed,
      default: {},
    },
  },
  { _id: false },
  { versionKey: false }
);

const std_glj = new Schema(
  {
    deleted: Boolean,
    repositoryId: Number,
    ID: Number,
    code: String,
    name: String,
    specs: String,
    basePrice: Number,
    taxRate: Number,
    priceProperty: {
      type: Schema.Types.Mixed,
      default: {},
    },
    gljClass: Number,
    gljType: Number,
    shortName: String,
    unit: String,
    component: [std_gljComponent],
    //以下仅普通材料可用
    grossWeightCoe: Number, //毛重系数
    purchaseStorageRate: Number, //采购保管费率
    offSiteTransportLossRate: Number, //场外运输损耗率
    handlingLossRate: Number, //每增一次装卸损耗率
    lossRate: Number, // 损耗率
  },
  { versionKey: false }
);

mongoose.model('std_glj_lib_gljList', std_glj, 'std_glj_lib_gljList');
mongoose.model('std_glj_lib_gljList_backup', std_glj, 'std_glj_lib_gljList_backup');
