/**
 * Created by Mai on 2017/8/29.
 */

let fixedFlag = {
    // 建筑安装工程费
    CONSTRUCTION_INSTALL_FEE: 1,
    // 土地使用及拆迁补偿费
    LAND_USED_DEMOLITION: 2,
    // 养护工程其他费用
    MAINTENANCE_EXPENSES: 3,
    // 预备费
    BUDGET_FEE: 4,
    // 基本预备费
    BASE_BUDGET_FEE: 5,
    // 价差预备费
    SPREAD_BUDGET_FEE: 6,
    // 一二三四部分合计
    ONE_TO_FOUR_TOTAL: 7,
    // 贷款利息
    LOAN_INTEREST: 8,
    // 总造价
    TOTAL_COST: 9,
    // 设备购置费
    EQUIPMENT_ACQUISITION_FEE: 10,
    // 专项费用 Special cost
    SPECIAL_COST: 11,
    // 施工场地建设费
    CONSTRUCTION_PLANT_COST: 12,
    // 养护单位(业主)管理费
    MAINTENANCE_MANAGENENT_FEE: 13,
    // 信息化费 Informatization fee
    INFORMATIZATION_FEE: 14,
    // 工程监理费 Engineering supervision fee
    ENGINEERING_SUP_FEE: 15,
    // 设计文件审查费 Design Document Review Fee
    DOCUMENT_REVIEW_FEE: 16,
    // 勘察设计费 Survey and design fees
    SURVEY_DESIGN_FEE: 17,
    // 招标代理及标底编制费 Bidding Agent and Preparing Fee of Bid Base
    AGENT_BASE_FEE: 18,
    //第100章至700章清单
    ONE_SEVEN_BILLS: 19,
    //专项暂定合计
    PROVISIONAL_TOTAL: 20,
    //清单合计扣除专项暂定合计
    BILLS_TOTAL_WT_PROV: 21,
    //计日工 daywork labor
    DAYWORK_LABOR: 22,
    //劳务
    LABOUR_SERVICE: 23,
    //材料
    MATERIAL: 24,
    //施工机械
    CONSTRUCTION_MACHINE: 25,
    //暂列金额
    PROVISIONAL: 26,
    //安全生产费
    SAFE_COST: 27,
    //100章清单
    ONE_HUNDRED_BILLS: 28,
    // 一二三部分合计
    ONE_TO_THREE_TOTAL: 29,
    // 前期工作费
    PRELIMINARY_WORK: 30,
    // 小修费
    MINOR_REPAIR_FEE: 31,
    // 预防养护费
    PREVENTIVE_MAINTENANCE_FEE: 32,
    // 修复养护费
    REPAIR_MAINTENANCE_FEE: 33,
    // 日常养护费
    DAILY_MAINTENANCE_FEE: 34,
    // 日常巡查费
    DAILY_PATROL_FEE: 35,
    // 日常保养费
    DAILY_UPKEEP_FEE: 36,
    // 信息化系统维护费
    INFORMATIZATION_MAINTENANCE_FEE: 37,
    // 技术状况评定费
    TECH_ASSESSMENT_FEE: 38,
    // 系统维护费
    SYSTEM_MAINTENANCE_FEE: 39,
    // 养护机械设备购置费
    MAINTENANCE_MACHINE_ACQUISITION_FEE: 40,
    // 养护工程费
    MAINTENANCE_FEE: 41,
    // 应急养护费
    EMERGENCY_FEE: 42,
    // 施工环保费
    CONSTRUCTION_ENVIROMENTAL_PROTECTION_FEE: 43,
    OTHER_NEW_FEE: 44,
    // 通则
    GENERAL_RULE: 45,
    // 保险费
    INSURANCE_FEE: 46,
    // 环保、水保费
    EP_WP_INSURANCE_FEE: 47,
};


if (process.env.NODE_ENV.indexOf('hw') !== -1) {
    // 公路2.0的固定清单类别和建筑的要合并统一处理
    fixedFlag = {
        // 暂列金额
        PROVISIONAL: 8,
        // 材料
        MATERIAL: 24,
        // 建筑安装工程费
        CONSTRUCTION_INSTALL_FEE: 39,
        // 土地使用及拆迁补偿费
        LAND_USED_DEMOLITION: 40,
        // 养护工程其他费用
        MAINTENANCE_EXPENSES: 41,
        // 预备费
        BUDGET_FEE: 42,
        // 基本预备费
        BASE_BUDGET_FEE: 43,
        // 价差预备费
        SPREAD_BUDGET_FEE: 44,
        // 一二三四部分合计
        ONE_TO_FOUR_TOTAL: 45,
        // 贷款利息
        LOAN_INTEREST: 46,
        // 总造价
        TOTAL_COST: 47,
        // 设备购置费
        EQUIPMENT_ACQUISITION_FEE: 48,
        // 专项费用 Special cost
        SPECIAL_COST: 49,
        // 施工场地建设费
        CONSTRUCTION_PLANT_COST: 50,
        // 养护单位(业主)管理费
        MAINTENANCE_MANAGENENT_FEE: 51,
        // 信息化费 Informatization fee
        INFORMATIZATION_FEE: 52,
        // 工程监理费 Engineering supervision fee
        ENGINEERING_SUP_FEE: 53,
        // 设计文件审查费 Design Document Review Fee
        DOCUMENT_REVIEW_FEE: 54,
        // 勘察设计费 Survey and design fees
        SURVEY_DESIGN_FEE: 55,
        // 招标代理及标底编制费 Bidding Agent and Preparing Fee of Bid Base
        AGENT_BASE_FEE: 56,
        // 第100章至700章清单
        ONE_SEVEN_BILLS: 57,
        // 专项暂定合计
        PROVISIONAL_TOTAL: 58,
        // 清单合计扣除专项暂定合计
        BILLS_TOTAL_WT_PROV: 59,
        // 计日工 daywork labor
        DAYWORK_LABOR: 60,
        // 劳务
        LABOUR_SERVICE: 61,
        // 施工机械
        CONSTRUCTION_MACHINE: 62,
        // 安全生产费
        SAFE_COST: 63,
        // 100章清单
        ONE_HUNDRED_BILLS: 64,
        // 一二三部分合计
        ONE_TO_THREE_TOTAL: 65,
        // 前期工作费
        PRELIMINARY_WORK: 66,
        // 小修费
        MINOR_REPAIR_FEE: 67,
        // 预防养护费
        PREVENTIVE_MAINTENANCE_FEE: 68,
        // 修复养护费
        REPAIR_MAINTENANCE_FEE: 69,
        // 日常养护费
        DAILY_MAINTENANCE_FEE: 70,
        // 日常巡查费
        DAILY_PATROL_FEE: 71,
        // 日常保养费
        DAILY_UPKEEP_FEE: 72,
        // 信息化系统w维护费
        INFORMATIZATION_MAINTENANCE_FEE: 73,
        // 技术状况评定费
        TECH_ASSESSMENT_FEE: 74,
        // 系统维护费
        SYSTEM_MAINTENANCE_FEE: 75,
        // 养护机械设备购置费
        MAINTENANCE_MACHINE_ACQUISITION_FEE: 76,
        // 养护工程费
        MAINTENANCE_FEE: 77,
        // 应急养护费
        EMERGENCY_FEE: 78,
        // 施工环保费
        CONSTRUCTION_ENVIROMENTAL_PROTECTION_FEE: 79,
        // 其他新增费用
        OTHER_NEW_FEE: 80,
        // 通则
        GENERAL_RULE: 81,
        // 保险费
        INSURANCE_FEE: 82,
        // 环保、水保费
        EP_WP_INSURANCE_FEE: 83,
        // 钢材水泥柴油等
        STEEL_CEMENT_DIESEL: 184,
        // 永久征用土地
        PERMANENT_REQUISITION_LAND: 185,
        // 土地拆迁
        DEMOLITION_LAND: 186,
        // 临时用地
        TMP_USE_LAND: 187,
        // 项目管理费
        PROJECT_MANAGE: 188,
        // 试验检测费
        TEST_DETECTION: 189,
        // 财务费用
        FINANCE: 190,
        // 进项税
        INPUT_TAX: 191,
        // 税金
        HIGHWAY_TAX: 192,
        // 预算文件审查费
        BUDGET_DOCUMENT_REVIEW: 193,
        // 设计费
        DESIGN: 194,
        // 清单编制费
        BILL_COMPILATION: 195,
        // 预算编制费
        BUDGET_COMPILATION: 196,
        // 招标费用
        INVITATION: 197,
    };
}


/*建筑安装工程费、土地使用及拆迁补偿费、养护工程其他费用、预备费、基本预备费、价差预备费、一二三四部分合计、贷款利息、总造价、

 设备购置费、专项费用、施工场地建设费、养护单位(业主)管理费、信息化费、工程监理费、设计文件审查费、勘察设计费、招标代理及标底编制费、

 第100章至700章清单、专项暂定合计、清单合计扣除专项暂定合计、计日工、劳务、材料、施工机械、暂列金额。*/
const fixedFlagList = [
    { name: "建筑安装工程费", value: fixedFlag.CONSTRUCTION_INSTALL_FEE },
    { name: "土地使用及拆迁补偿费", value: fixedFlag.LAND_USED_DEMOLITION },
    { name: "养护工程其他费用", value: fixedFlag.MAINTENANCE_EXPENSES },
    { name: "预备费", value: fixedFlag.BUDGET_FEE },
    { name: "基本预备费", value: fixedFlag.BASE_BUDGET_FEE },
    { name: "价差预备费", value: fixedFlag.SPREAD_BUDGET_FEE },
    { name: "一二三部分合计", value: fixedFlag.ONE_TO_THREE_TOTAL },
    { name: "一二三四部分合计", value: fixedFlag.ONE_TO_FOUR_TOTAL },
    { name: "贷款利息", value: fixedFlag.LOAN_INTEREST },
    { name: "总造价", value: fixedFlag.TOTAL_COST },
    { name: "设备购置费", value: fixedFlag.EQUIPMENT_ACQUISITION_FEE },
    { name: "专项费用", value: fixedFlag.SPECIAL_COST },
    { name: "施工场地建设费", value: fixedFlag.CONSTRUCTION_PLANT_COST },
    { name: "养护单位(业主)管理费", value: fixedFlag.MAINTENANCE_MANAGENENT_FEE },
    { name: "施工环保费", value: fixedFlag.CONSTRUCTION_ENVIROMENTAL_PROTECTION_FEE },
    { name: "信息化费", value: fixedFlag.INFORMATIZATION_FEE },
    { name: "工程监理费", value: fixedFlag.ENGINEERING_SUP_FEE },
    { name: "设计文件审查费", value: fixedFlag.DOCUMENT_REVIEW_FEE },
    { name: "勘察设计费", value: fixedFlag.SURVEY_DESIGN_FEE },
    { name: "招标代理及标底编制费", value: fixedFlag.AGENT_BASE_FEE },
    { name: "前期工作费", value: fixedFlag.PRELIMINARY_WORK },
    { name: "日常养护费", value: fixedFlag.DAILY_MAINTENANCE_FEE },
    { name: "日常巡查费", value: fixedFlag.DAILY_PATROL_FEE },
    { name: "日常保养费", value: fixedFlag.DAILY_UPKEEP_FEE },
    { name: "小修费", value: fixedFlag.MINOR_REPAIR_FEE },
    { name: "信息化系统维护费", value: fixedFlag.INFORMATIZATION_MAINTENANCE_FEE },
    { name: "技术状况评定费", value: fixedFlag.TECH_ASSESSMENT_FEE },
    { name: "系统维护费", value: fixedFlag.SYSTEM_MAINTENANCE_FEE },
    { name: "养护机械设备购置费", value: fixedFlag.MAINTENANCE_MACHINE_ACQUISITION_FEE },
    { name: "养护工程费", value: fixedFlag.MAINTENANCE_FEE },
    { name: "预防养护费", value: fixedFlag.PREVENTIVE_MAINTENANCE_FEE },
    { name: "修复养护费", value: fixedFlag.REPAIR_MAINTENANCE_FEE },
    { name: "应急养护费", value: fixedFlag.EMERGENCY_FEE },
    { name: "第100章至700章清单", value: fixedFlag.ONE_SEVEN_BILLS },
    { name: "专项暂定合计", value: fixedFlag.PROVISIONAL_TOTAL },
    { name: "清单合计扣除专项暂定合计", value: fixedFlag.BILLS_TOTAL_WT_PROV },
    { name: "计日工", value: fixedFlag.DAYWORK_LABOR },
    { name: "劳务", value: fixedFlag.LABOUR_SERVICE },
    { name: "材料", value: fixedFlag.MATERIAL },
    { name: "施工机械", value: fixedFlag.CONSTRUCTION_MACHINE },
    { name: "暂列金额", value: fixedFlag.PROVISIONAL },
    { name: "安全生产费", value: fixedFlag.SAFE_COST },
    { name: "第100章清单 总则", value: fixedFlag.ONE_HUNDRED_BILLS },
    { name: '其他新增费用', value: fixedFlag.OTHER_NEW_FEE },
    { name: '通则', value: fixedFlag.GENERAL_RULE },
    { name: '保险费', value: fixedFlag.INSURANCE_FEE },
    { name: '施工环保、水保费', value: fixedFlag.EP_WP_INSURANCE_FEE },
    { name: '钢材水泥柴油等', value: fixedFlag.STEEL_CEMENT_DIESEL },
    { name: '永久征用土地', value: fixedFlag.PERMANENT_REQUISITION_LAND },
    { name: '土地拆迁', value: fixedFlag.DEMOLITION_LAND },
    { name: '临时用地', value: fixedFlag.TMP_USE_LAND },
    { name: '项目管理费', value: fixedFlag.PROJECT_MANAGE },
    { name: '试验检测费', value: fixedFlag.TEST_DETECTION },
    { name: '财务费用', value: fixedFlag.FINANCE },
    { name: '进项税', value: fixedFlag.INPUT_TAX },
    { name: '税金', value: fixedFlag.HIGHWAY_TAX },
    { name: '预算文件审查费', value: fixedFlag.BUDGET_DOCUMENT_REVIEW },
    { name: '设计费', value: fixedFlag.DESIGN },
    { name: '清单编制费', value: fixedFlag.BILL_COMPILATION },
    { name: '预算编制费', value: fixedFlag.BUDGET_COMPILATION },
    { name: '招标费用', value: fixedFlag.INVITATION },
];

export { fixedFlag as default, fixedFlagList as List };
