/**
 * Created by vian on 2017/4/10.
 */
var billsLibSetting = {
    cols: [
        {
            head: {
                titleNames: ['类别'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'kind',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 80
        },
        {
            head: {
                titleNames: ['编码'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'code',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 160
        },
        {
            head: {
                titleNames: ['名称'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'name',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 240
        },
        {
            head: {
                titleNames: ['计量单位'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'unit',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 140
        },
        {
            head: {
                titleNames: ['工程量计算规则'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: ' Arial'
            },
            data: {
                field: 'ruleText',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 320
        },
        {
            head: {
                titleNames: ['工程内容'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: ' Arial'
            },
            data: {
                field: 'engineerContent',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 320
        },
        {
            head: {
                titleNames: ['单价'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'unitPrice',
                vAlign: 1,
                hAlign: 2,
                font: 'Arial'
            },
            width: 80
        },
        /* {
            head: {
                titleNames: ['工程专业'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: ' Arial'
            },
            data: {
                field: 'engineering',
                vAlign: 1,
                hAlign: 1,
                font: 'Arial'
            },
            width: 80
        }, */
        {
            head: {
                titleNames: ['固定ID'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: ' Arial'
            },
            data: {
                field: 'fixedFlag',
                vAlign: 1,
                hAlign: 1,
                font: 'Arial'
            },
            width: 100
        },
        {
            width: 60,
            head: {
                titleNames: ["清单预算\n标记"],
                spanCols: [1],
                spanRows: [1],
                vAlign: [1],
                hAlign: [1],
                font: ["Arial"],
            },
            data: {
                field: "isBillBudget",
                vAlign: 0,
                hAlign: 1,
                font: "Arail",
            },
        },
    ],
    headRows: 1,
    headRowHeight: [47],
    emptyRows: 0,
    treeCol: 1
};

var jobsSetting = {
    cols: [
        {
            head: {
                titleNames: ['编号'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'code',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 100
        },
        {
            head: {
                titleNames: ['工作内容'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'content',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 200
        },
    ],
    headRows: 1,
    headRowHeight: [47],
    emptyRows: 3,
    treeCol: 0
};

var designsSetting = {
    cols: [
        {
            head: {
                titleNames: ['编号'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'code',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 100
        },
        {
            head: {
                titleNames: ['名称'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'name',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 200
        },
        {
            head: {
                titleNames: ['单位'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'unit',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 200
        },
    ],
    headRows: 1,
    headRowHeight: [47],
    emptyRows: 3,
    treeCol: 0
};

var itemsSetting = {
    cols: [
        {
            head: {
                titleNames: ['编号'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'code',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 100
        },
        {
            head: {
                titleNames: ['项目特征'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'content',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 200
        },
    ],
    headRows: 1,
    headRowHeight: [47],
    emptyRows: 3,
    treeCol: 0
};

var totalJobsSetting = {
    cols: [
        {
            head: {
                titleNames: ['编号'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'code',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 200
        },
        {
            head: {
                titleNames: ['工作内容'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'content',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 850
        },
    ],
    headRows: 1,
    headRowHeight: [47],
    emptyRows: 3,
    treeCol: 0
};

var totalDesignsSetting = {
    cols: [
        {
            head: {
                titleNames: ['编号'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'code',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 200
        },
        {
            head: {
                titleNames: ['名称'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'name',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 850
        },
        {
            head: {
                titleNames: ['单位'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'unit',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 100
        },
    ],
    headRows: 1,
    headRowHeight: [47],
    emptyRows: 3,
    treeCol: 0
};

var totalItemsSetting = {
    cols: [
        {
            head: {
                titleNames: ['编号'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'code',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 200
        },
        {
            head: {
                titleNames: ['项目特征'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'content',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 800
        },
    ],
    headRows: 1,
    headRowHeight: [47],
    emptyRows: 3,
    treeCol: 0
};

var eigenValueSetting = {
    cols: [
        {
            head: {
                titleNames: ['编号'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'code',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 200
        },
        {
            head: {
                titleNames: ['特征值'],
                spanCols: [1],
                spanRows: [2],
                vAlign: [1, 1],
                hAlign: [1, 1],
                font: 'Arial'
            },
            data: {
                field: 'value',
                vAlign: 1,
                hAlign: 0,
                font: 'Arial'
            },
            width: 480
        },
    ],
    headRows: 1,
    headRowHeight: [47],
    emptyRows: 3,
    treeCol: 0
}
