// 关键字表
const KEYWORD_BOOK = (() => {
  const setting = {
    header: [
      { headerName: '关键字', headerWidth: 200, dataCode: 'keyword', dataType: 'String', hAlign: 'left', vAlign: 'center' },
      { headerName: '单位', headerWidth: 70, dataCode: 'unit', dataType: 'String', hAlign: 'center', vAlign: 'center' },
      { headerName: '关键字效果', headerWidth: 100, dataCode: 'coe', dataType: 'String', hAlign: 'center', vAlign: 'center' },
      { headerName: '组别', headerWidth: 50, dataCode: 'group', dataType: 'String', hAlign: 'center', vAlign: 'center' },
      { headerName: '选项号', headerWidth: 70, dataCode: 'optionCode', dataType: 'String', hAlign: 'center', vAlign: 'center' },
    ],
  };
  // 初始化表格
  const workBook = initSheet($('#keyword-spread')[0], setting);
  workBook.options.allowUserDragDrop = false;
  workBook.options.allowUserDragFill = false;
  lockUtil.lockSpreads([workBook], true);
  const sheet = workBook.getSheet(0);

  // 显示关键字数据
  const showKeywordData = (keywordList) => {
    showData(sheet, keywordList, setting.header);
  }

  return {
    showKeywordData
  }
})();